Name:          expat
Version:       2.4.3
Release:       1mamba
Summary:       An XML parser written in C
Group:         Development/Applications
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/expat/
Source0:       https://sourceforge.net/projects/expat/files/expat/%{version}/expat-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Expat is an XML parser library written in C.
It is a stream-oriented parser in which an application registers handlers for things the parser might find in the XML document (like start tags).
This project aims to maintain Expat for both current and future users while improving the API to allow more reliable and robust access from "scripting" languages such as Python and Perl.

%package -n libexpat
Group:         Development/Libraries
Summary:       Main library for expat

%description -n libexpat
This package contains the library needed to run programs dynamically linked with expat.

%package -n libexpat-devel
Group:         Development/Libraries
Summary:       Development environment for the expat XML parser
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n libexpat-devel
Development environment for the expat XML parser.

%debug_package

%prep
%setup -q

%build
%configure \
   DOCBOOK_TO_MAN="xmlto man --skip-validation"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall 

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libexpat -p /sbin/ldconfig
%postun -n libexpat -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/xmlwf
%{_mandir}/man1/xmlwf.*

%files -n libexpat
%defattr(-,root,root)
%{_libdir}/libexpat.so.*
%doc COPYING

%files -n libexpat-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libexpat.a
%{_libdir}/libexpat.la
%{_libdir}/libexpat.so
%{_libdir}/pkgconfig/expat.pc
%dir %{_libdir}/cmake/expat-%{version}
%{_libdir}/cmake/expat-%{version}/expat*.cmake
%dir %{_datadir}/doc/expat
%{_datadir}/doc/expat/*

%changelog
* Sun Jan 16 2022 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic version update by autodist

* Mon Dec 20 2021 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Mon May 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.1-1mamba
- update to 2.4.1

* Sat Mar 27 2021 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Wed Oct 21 2020 Automatic Build System <autodist@mambasoft.it> 2.2.10-1mamba
- automatic version update by autodist

* Wed Oct 16 2019 Automatic Build System <autodist@mambasoft.it> 2.2.9-1mamba
- automatic version update by autodist

* Thu Aug 01 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.7-2mamba
- removed internal legacy package libexpat0

* Wed Jul 31 2019 Automatic Build System <autodist@mambasoft.it> 2.2.7-1mamba
- automatic version update by autodist

* Mon Aug 14 2017 Automatic Build System <autodist@mambasoft.it> 2.2.3-1mamba
- automatic version update by autodist

* Fri Jul 21 2017 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Mon Jun 26 2017 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Thu Jun 30 2016 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Thu May 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.1-1mamba
- update to 2.1.1

* Fri Mar 07 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-2mamba
- rebuilt to fix rpm 5.2.1-22mamba bug

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Wed Sep 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1mamba
- update to 2.0.1

* Mon May 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-3mamba
- revert to expat includes in %{includedir}

* Fri Apr 27 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-2mamba
- includes moved to %{_includedir}/expat subdir

* Mon May 22 2006 Davide Madrisan <davide.madrisan@qilinux.it> 2.0.0-1qilnx
- update to version 2.0.0 by autospec
- fixed package groups
- added post and postun scripts for libexpat
- new package libexpat0 (compatibility libraries)

* Sun Oct 30 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.95.8-1qilnx
- update to version 1.95.8 by autospec

* Mon May 12 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.95.6-3qilnx
- added lfs patch that solves an XML_Status declaration problem in expat.h

* Mon May 12 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.95.6-2qilnx
- added libexpat.so in devel package

* Mon May 12 2003 Silvan Calarco <silvan.calarco@qinet.it> 1.95.6-1qilnx
- First build
